# Class Util

java.lang.Object
com.ryanharter.auto.value.gson.internal.Util

public final class Util extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`Util.GenericArrayTypeImpl`
`static final class`
`Util.ParameterizedTypeImpl`
`static final class`
`Util.WildcardTypeImpl`
The WildcardType interface supports multiple upper bounds and multiple lower bounds.

## Method Summary

Modifier and Type
Method
Description
`static Map<String,String>`
`renameFields(Class<?> targetClass, List<String> names, com.google.gson.FieldNamingStrategy fieldNamingStrategy)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### renameFields

public static Map<String,String> renameFields(Class<?> targetClass, List<String> names, com.google.gson.FieldNamingStrategy fieldNamingStrategy)